Bug 1124991 - Clear entries in Cisco N1KV specific tables on rollback
Summary: Clear entries in Cisco N1KV specific tables on rollback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 5.0 (RHEL 7)
Assignee: Steven Hillman
QA Contact: Ofer Blaut
URL:
Whiteboard: n1kv
Depends On:
Blocks: 1154145 1174326 1154159 1174319
TreeView+ depends on / blocked
 
Reported: 2014-07-30 19:27 UTC by dontu
Modified: 2016-11-18 04:17 UTC (History)
12 users (show)

Fixed In Version: openstack-neutron-2014.1.3-7.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, a rollback did not result in all entries being cleared from the N1KV-specific database tables, resulting in the presence of stale entries. This update addresses the issue by performing a proper cleanup of all N1KV tables. Consequently, stale entries are no longer left in the N1KV tables.
Clone Of: 1115714
Environment:
Last Closed: 2014-12-02 17:00:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1942 normal SHIPPED_LIVE Moderate: openstack-neutron security and bug fix update 2014-12-02 21:58:59 UTC
OpenStack gerrit 107145 None None None Never
OpenStack gerrit 111123 None None None Never
Launchpad 1336596 None None None Never

Description dontu 2014-07-30 19:27:30 UTC
During rollback operations, resources are cleaned up from neutron
database but leaves a few stale entries in the n1kv specific tables.
This change addresses the proper clean up of tables. i.e. VLAN/VXLAN
allocation tables, profile binding and vm network table.

Comment 2 lpeer 2014-08-11 08:40:57 UTC
adding a link to the patch submitted to u/s stable Icehouse.

Comment 3 dontu 2014-08-27 20:14:40 UTC
merged in stable/icehouse today (8/27)

Comment 4 Ihar Hrachyshka 2014-09-08 13:35:27 UTC
The patch didn't reach 2014.1.2 rebase. We'll rebase on 2014.1.3 some time in the future.

Comment 5 Steven Hillman 2014-09-30 23:19:54 UTC
In stable/icehouse, will be brought in w/ 2014.1.3.

Comment 9 errata-xmlrpc 2014-12-02 17:00:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2014-1942.html


Note You need to log in before you can comment on or make changes to this bug.